Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.splitstream
Class ChannelId

    java.lang.Object
      rice.p2p.splitstream.ChannelId

public class ChannelId
extends java.lang.Object

This class wraps the nodeId object so we can use type checking and allow more readable and understandable code. All it does is subclass the nodeId and provide a constructor that allows the wrapping of a NodeId object to create a concrete subclass

Version:
  $Id: ChannelId.java,v 1.7 2005/03/11 00:57:59 jeffh Exp $
Author:
  Ansley Post, Alan Mislove

Field Summary
`protected Id` | `id` The underlying id for this channelid

Constructor Summary
`ChannelId(Id id)` Constructor that takes in an Id and makes a ChannelId
`ChannelId(java.lang.String name)` Constructor that takes in a String and makes a ChannelId

Method Summary
`boolean` | `equals(java.lang.Object o)` DESCRIBE THE METHOD
`Id` | `getId()` Gets the Id attribute of the ChannelId object
`int` | `hashCode()` DESCRIBE THE METHOD
`java.lang.String` | `toString()` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    protected Id id

  The underlying id for this channelid

Constructor Detail

### ChannelId

    public ChannelId(Id id)

  Constructor that takes in an Id and makes a ChannelId

Parameters:
  `id` - The underlying id for this channelid

### ChannelId

    public ChannelId(java.lang.String name)

  Constructor that takes in a String and makes a ChannelId

Parameters:
  `name` - The name to create this channelId from

Method Detail

### getId

    public Id getId()

  Gets the Id attribute of the ChannelId object

  Returns:
    The Id value

### toString

    public java.lang.String toString()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

### hashCode

    public int hashCode()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

### equals

    public boolean equals(java.lang.Object o)

  DESCRIBE THE METHOD

  Parameters:
    `o` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.